sub init()
    print "INIT: MainMenu"
    
    m.top.panelSize = "medium"
    m.top.focusable = true
    m.top.hasNextPanel = true
    m.top.leftOnly = true
    m.top.createNextPanelOnItemFocus = false
    m.top.selectButtonMovesPanelForward = true
    
    m.MainMenuList = m.top.findNode("MainMenuList")
    m.top.list = m.MainMenuList 

    m.MainMenuList.font = m.global.fonts.regular24
    m.MainMenuList.focusedFont = m.global.fonts.regular24
    
    UpdateMainMenu()
end sub
'******************************************************
sub UpdateMainMenu()
    MainMenuContent = createObject("RoSGNode","ContentNode")
    
    node = MainMenuContent.createChild("ContentNode")
    node.title = getTr("Television")
    node.HDLISTITEMICONURL = "pkg:/images/icon_tv.png"
    node.HDLISTITEMICONSELECTEDURL = "pkg:/images/icon_tv.png"
    node.id = 0
    
    node = MainMenuContent.createChild("ContentNode")
    node.title = getTr("Cinema")
    node.HDLISTITEMICONURL = "pkg:/images/icon_video.png"
    node.HDLISTITEMICONSELECTEDURL = "pkg:/images/icon_video.png"
    node.id = 1
    
    node = MainMenuContent.createChild("ContentNode")
    node.title = getTr("Settings")
    node.HDLISTITEMICONURL = "pkg:/images/icon_settings.png"
    node.HDLISTITEMICONSELECTEDURL = "pkg:/images/icon_settings.png"
    node.id = 2

    m.top.list.content = MainMenuContent
    m.top.setFocus(true)
end sub
'******************************************************
Function OnKeyEvent(key, press) as Boolean    
    result = false
    if press then
        print "MainMenu: OnkeyEvent = ";key
        if key = "options"
            '
        else if key = "OK" or key = "play"
        
        else if key = "back"
            if m.global.mainScene.VideoPlayer.isPlaying
                m.global.mainScene.VideoPlayer.onTop = true
                return true
            end if
        end if
    end if
    return result
End Function