function init()
    m.channelIcon = m.top.findNode("channelIcon")
    m.channelName = m.top.findNode("channelName")
    m.channelFavorite = m.top.findNode("channelFavorite")
    
    m.channelName.font = m.global.fonts.regular20
end function
  
function itemContentChanged()
    itemData = m.top.itemContent    
    m.channelIcon.uri = itemData.channelIconUri
    m.channelName.text = itemData.channelName
    if itemData.channelFavorite
        m.channelFavorite.uri = "pkg:/images/favorite_yes.png"
    else
        m.channelFavorite.uri = "pkg:/images/favorite_no.png"    
    end if
end function

function focusChanged()
    if m.top.gridHasFocus and m.top.focusPercent > 0.5
      m.channelName.color = "0x222222ff"
    else
      m.channelName.color = "0xddddddff"
    end if
end function

