function init()
    m.programTime = m.top.findNode("programTime")
    m.programTitle = m.top.findNode("programTitle")
    m.programStatus = m.top.findNode("programStatus")

    m.programTime.font = m.global.fonts.regular20
    m.programTitle.font = m.global.fonts.regular20
end function
  
function itemContentChanged()
    itemData = m.top.itemContent    
    m.programTime.text = itemData.programTime
    m.programTitle.text = itemData.programTitle
    m.programStatus.uri = itemData.programStatusUri
end function
  
function focusChanged()
    if m.top.listHasFocus and m.top.focusPercent > 0.5 or m.top.itemHasFocus
      m.programTime.color = m.global.color.text2Focus
      m.programTitle.color = m.global.color.textFocus
      m.programTitle.repeatCount = -1
    else
      m.programTime.color = m.global.color.text2
      m.programTitle.color = m.global.color.text
      m.programTitle.repeatCount = 0
    end if
end function
