sub init()
    print "INIT: MovieSearchPanel"
    
    m.top.panelSize = "medium"
    m.top.focusable = true
    m.top.hasNextPanel = true
    m.top.leftOnly = false
    m.top.goBackCount = 1
    
    m.MoviesKeyboard = m.top.findNode("MoviesKeyboard")
    m.MoviesKeyboard.text = ""
    m.MoviesKeyboard.keyColor = m.global.color.text
    m.MoviesKeyboard.focusedKeyColor = m.global.color.textFocus
    m.MoviesKeyboard.focusBitmapUri = "pkg:/images/select.9.png"

    m.top.observeField("focusedChild", "OnFocus")
    m.MoviesKeyboard.observeField("text", "OnTextChange")
end sub

sub OnFocus()
    if m.top.hasFocus()
        m.MoviesKeyboard.setFocus(true)
        m.top.hasFocus = true
    end if
    
    if m.MoviesKeyboard.hasFocus()
        m.top.hasFocus = true
    end if
end sub

sub OnTextChange()
    print "MovieSearch: OnTextChange - ";m.MoviesKeyboard.text
    m.top.searchString = m.MoviesKeyboard.text
end sub