sub init()
    print "INIT: MoviesGenres"

    m.top.panelSize = "medium"
    m.top.focusable = true
    m.top.hasNextPanel = true
    m.top.leftOnly = false
    m.top.goBackCount = 1
    m.top.createNextPanelOnItemFocus = true
    m.top.selectButtonMovesPanelForward = true
    m.top.languageChange = false
    
    m.MoviesGenresList = m.top.findNode("MoviesGenresList")
    m.top.list = m.MoviesGenresList 

    m.MoviesGenresList.font = m.global.fonts.regular24
    m.MoviesGenresList.focusedFont = m.global.fonts.regular24
    
    UpdateMoviesGenres()
end sub
'******************************************************
sub UpdateMoviesGenres()
    movieCategoryID = m.global.movieCategories[m.top.categoryIndex].id
    moviesGenres = m.global.movieCategories[m.top.categoryIndex].genres

    if(m.global.hasField("movieCategoryID"))
        m.global.movieCategoryID = movieCategoryID
    else
        m.global.addFields({movieCategoryID: movieCategoryID})
    end if

    if(m.global.hasField("moviesGenres"))
        m.global.moviesGenres = moviesGenres
    else
        m.global.addFields({moviesGenres: moviesGenres})
    end if

    GenreContent = createObject("RoSGNode","ContentNode")
    if moviesGenres <> invalid
        num = 0
        for each genre in moviesGenres
            node = GenreContent.createChild("ContentNode")
            node.title = genre.title
            node.id = genre.id
            num++
        end for
    end if
    
    m.top.list.content = GenreContent
end sub